# $Revision: 1.30 $, $Date: 2010/09/25 13:28:23 $
Summary:	AoE tools - programs for users of ATA over Ethernet
Summary(pl.UTF-8):	Narzędzia AoE - programy dla używających ATA over Ethernet
Name:		aoetools
Version:	32
Release:	1
License:	GPL v2
Group:		Base/Utilities
Source0:	http://downloads.sourceforge.net/aoetools/%{name}-%{version}.tar.gz
# Source0-md5:	62c8b5664d413019d0008f27ab5dc4d1
URL:		http://aoetools.sourceforge.net/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The aoetools are programs for users of the ATA over Ethernet (AoE)
network storage protocol, a simple protocol for using storage over an
ethernet LAN. The vblade program (storage target) exports a block
device using AoE.

%description -l pl.UTF-8
aoetools to programy dla używających protokołu sieciowego składowania
danych ATA over Ethernet (AoE) - prostego protokołu do przechowywania
danych za pośrednictwem lokalnej sieci ethernetowej. Program vblade
(obiekt składowania) eksportuje urządzenie blokowe przy użyciu AoE.

%package udev
Summary:	udev rules for AoE kernel modules
Summary(pl.UTF-8):	Reguły udev dla modułów jądra Linuksa dla AoE
Group:		Base/Kernel
Requires:	udev-core

%description udev
udev rules for AoE kernel modules.

%description udev -l pl.UTF-8
Reguły udev dla modułów jądra Linuksa dla AoE.

%prep
%setup -q

cat << 'EOF' > udev.conf
# aoe char devices
SUBSYSTEM=="aoe", KERNEL=="discover", NAME="etherd/%k", GROUP="disk", MODE="0220"
SUBSYSTEM=="aoe", KERNEL=="err", NAME="etherd/%k", GROUP="disk", MODE="0440"
SUBSYSTEM=="aoe", KERNEL=="interfaces", NAME="etherd/%k", GROUP="disk", MODE="0220"
SUBSYSTEM=="aoe", KERNEL=="revalidate", NAME="etherd/%k", GROUP="disk", MODE="0220"
# aoe block devices
KERNEL=="etherd*", NAME="%k", GROUP="disk"
EOF

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	PREFIX=$RPM_BUILD_ROOT

install -D udev.conf $RPM_BUILD_ROOT/etc/udev/rules.d/60-aoe.rules

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README devnodes.txt
%attr(755,root,root) %{_sbindir}/aoe-discover
%attr(755,root,root) %{_sbindir}/aoe-flush
%attr(755,root,root) %{_sbindir}/aoe-interfaces
%attr(755,root,root) %{_sbindir}/aoe-stat
%attr(755,root,root) %{_sbindir}/aoe-mkdevs
%attr(755,root,root) %{_sbindir}/aoe-mkshelf
%attr(755,root,root) %{_sbindir}/aoe-revalidate
%attr(755,root,root) %{_sbindir}/aoe-sancheck
%attr(755,root,root) %{_sbindir}/aoe-version
%attr(755,root,root) %{_sbindir}/aoecfg
%attr(755,root,root) %{_sbindir}/aoeping
%attr(755,root,root) %{_sbindir}/coraid-update
%{_mandir}/man8/aoe-discover.8*
%{_mandir}/man8/aoe-flush.8*
%{_mandir}/man8/aoe-interfaces.8*
%{_mandir}/man8/aoe-stat.8*
%{_mandir}/man8/aoe-mkdevs.8*
%{_mandir}/man8/aoe-mkshelf.8*
%{_mandir}/man8/aoe-revalidate.8*
%{_mandir}/man8/aoe-sancheck.8*
%{_mandir}/man8/aoe-version.8*
%{_mandir}/man8/aoecfg.8*
%{_mandir}/man8/aoeping.8*
%{_mandir}/man8/coraid-update.8*

%files udev
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/udev/rules.d/60-aoe.rules

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: aoetools.spec,v $
Revision 1.30  2010/09/25 13:28:23  qboosh
- updated to 32

Revision 1.29  2010/09/02 18:30:04  qboosh
- updated to 31

Revision 1.28  2010/07/10 08:27:44  pluto
- release 2 + fix typo.

Revision 1.27  2010/07/10 07:49:28  pluto
- udev rules.

Revision 1.26  2010/06/27 07:58:02  pluto
- release 1.

Revision 1.25  2010/03/16 15:41:20  zbyniu
- up to 30

Revision 1.24  2008/12/12 03:25:32  aredridel
- 29

Revision 1.23  2008/08/19 20:28:02  qboosh
- updated to 27

Revision 1.22  2008/05/31 13:25:50  qboosh
- updated to 26

Revision 1.21  2008-01-13 11:16:35  qboosh
- updated to 23

Revision 1.20  2007-11-03 11:14:56  qboosh
- updated to 21

Revision 1.19  2007/09/03 22:43:04  qboosh
- updated to 19

Revision 1.18  2007/08/12 20:09:57  qboosh
- updated to 18

Revision 1.17  2007/06/16 09:19:58  qboosh
- updated to 16

Revision 1.16  2007/05/21 06:46:41  kosmo
- updated to 15

Revision 1.15  2007/02/18 23:12:08  qboosh
- updated to 14

Revision 1.14  2007/02/12 21:23:46  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:48:36  baggins
- converted to UTF-8

Revision 1.12  2006/11/08 08:58:54  qboosh
- updated to 12

Revision 1.11  2006/10/06 09:00:49  qboosh
- updated to 11

Revision 1.10  2006/08/19 11:40:57  qboosh
- etherd devices added to dev.spec (first 256 minors)

Revision 1.9  2006/07/31 21:46:44  aredridel
- remove todo about vblade
- version 10

Revision 1.8  2006/07/26 16:03:33  glen
- unify sourceforge url

Revision 1.7  2005/07/25 09:22:49  qboosh
- fix to more files

Revision 1.6  2005/07/25 09:17:02  blekot
- up to 5
- more %files

Revision 1.5  2005/05/27 17:34:14  zbyniu
- up to 4

Revision 1.4  2005/03/26 21:01:24  darekr
- typo

Revision 1.3  2005/03/26 18:22:50  qboosh
- pl, noarch

Revision 1.2  2005/03/26 15:09:27  spider
- missing some files in %files

Revision 1.1  2005/03/26 00:04:48  pluto
- tools for users of ATA over Ethernet.
